Jump to content

l’upload d’images échoue mais aucun message d’erreur


Recommended Posts

Bonjour,

J'aimerais avoir l'avis et conseils des développeurs (ou de personnes ayant pu résoudre le cas) sur ce problème :

Impossible d'ajouter des images de produits (le problème est le même avec par exemple les images de catégories ...)
Le message "mise à jour réussie" apparait mais l'image n'est pas uploadée dans le répertoire img/p/ du serveur, et rien non plus d'ajouté dans la base de données.

J'ai lu sur internet qu'il y a des problèmes avec certaines versions de PHP, par rapport à la lib GD utilisée...

Sur Wikipedia par exemple :

Minimum requirements

PrestaShop is available to download as a ZIP file, approximately 6MB in size. Additionally, the merchant must have a domain name and an Apache web server or IIS web server already configured which features:

* Web server (Apache web server 1.3 or later, IIS 6 or later)
* PHP 5.0(*) or later
* MySQL 5(**) or later
* Linux, Unix or Windows installed operating system

(*) Some PHP 5 versions are bugged and prevent PrestaShop from working correctly:

* PHP 5.2.1 (authentication is impossible)
* PHP 5.2.6 (authentication is impossible under 64bits servers)
* PHP 5.2.9 (image management/upload broken)
* PHP < 5.2 (invalid date timezone)


Mon serveur est en PHP 5.2.10 (Serveur Ubuntu 9.10 64bits dédié chez OVH) donc j'imagine que c'est le même problème que la 5.2.9 ...
Sachant qu'il m'est difficile et non préférable à d'installer une autre version de PHP que celle disponible dans les dépôts (j'ai quand même tenté de mettre PHP 5.2.11 mais rien n'a changé), comment résoudre ça ??

Je précise que le dossier img a un chmod 777 récursivement, que la limite de mémoire allouée a PHP est à 128M (!!) et que l'image que je cherche à uploader fait 13Ko donc ce n'est ni un problème de mémoire, de poids, ou de droits d'écriture ...
J'ai tenté de mettre à On l'affichage des erreurs dans le fichier de config mais je n'ai pas eu de message d'erreur ...

En dernier recours, j'envisage de modifier la fonction d'upload pour utiliser imagemagick à la place des fonctions PHP GD, mais si les développeurs pouvaient m'apporter une solution plus simple pour m'éviter de mettre les mains dans le cambouis, ça serait cool ...

Merci.

Share this post


Link to post
Share on other sites

bonjour,

je l'ai lu. J'avoue que j'ai présenté le problème comme un problème rencontré et pas un simple bug mais c'est un réel bug (à moins qu'on me prouve le contraire) que plusieurs personnes ont apparemment rencontrées.

J'espère, en soulevant le problème obtenir une réponse sur la possibilité de correction du bug, ou "au moins" une solution alternative pour le contourner...

Quand je vois les pré-requis demandant PHP5.0 ou + et le nombre de versions supérieurs à 5.0 qui posent problème, je me demande alors :
QUELLE VERSION marche vraiment ???
C'est un problème de conception quand même non ??

Share this post


Link to post
Share on other sites

d'après ce que je lis :
"(*) Some PHP 5 versions are bugged and prevent PrestaShop from working correctly:"

ce serait surtout un prob de conception de PHP 5 non ?

je n'ai pas connaissance de problèmes identiques au tien.
as-tu regardé du côté de l'hébergeur ?

Share this post


Link to post
Share on other sites

Merci pour ta réponse Fabrice.

Dans la liste des "problèmes connus" on a :
* PHP 5.2.9 (image management/upload broken)

Donc je pense que c'est le problème que je soulève. Sachant que je suis en 5.2.10 et que j'ai testé en 5.2.11 et qu'il y a le même problème, j'aurais tendance à dire que ce problème apparait sur PHP 5.2.9 et + ...

De ce que j'ai lu sur le web, c'est un problème de la lib GD de ces versions de PHP, mais je ne sais pas du coup comment contourner ce problème ... la solution serait à mon avis d'installer une version inférieure avec laquelle on est sûr que ça marche mais laquelle ?
Et là c'est pas une partie de plaisir car ça va être à compiler et c'est pas top après pour supprimer si besoin :(

Ce qui me serait utile c'est savoir avec quelle version par exemple les devs ont conçu et testé prestashop, si des utilisateurs ont la même version que moi et ne rencontrent pas le problème, ou encore quelles version utilisent les utilisateurs qui n'ont PAS ce problème (il doit y en avoir quand même ^^)

Au niveau de l'hébergeur, c'est un serveur dédié donc je suis complétement libre et fais ce que je veux du serveur, dont la configuration. S'il y a des points à vérifier qui pourraient poser problème je veux bien les vérifier pour peu qu'on me dise lesquels (j'avais déjà vu la limite de taille, d'upload, les chmod ...)

Sinon, pour contourner le problème (temporairement) et rendre la mise ne ligne du site possible, quelqu'un peut-il me dire ce qui est enregistré en base de données pour l'ajout/modif d'image ? et la correspondance avec les fichiers images du dossier img/p/ ...?
Ça me permettra de faire un truc minimal à la main (je gère un minimum en dev web) pour ajouter nos images ... et ça me sauverais la vie car on attend sur moi là ...

Merci

Share this post


Link to post
Share on other sites

Bonjour.

Suite et fin de mes péripéties :

J'ai installé un WampServer2 sur Windows7 et testé mon site (même base et même fichiers que le serveur).
Le problème n'apparait pas. Je regarde les versions : WampServer pour Windows est en PHP 5.3.0 !

Je décide donc de le mettre sur mon serveur.

Après de bonnes galères pour reprendre les paquets de chez Debian (dépôt expérimental :s), j'ai pu installer PHP 5.3.1 et le problème est résolu.

La solution n'a pas été très triviale et n'est pas logique car j'ai du installer des paquets fait pour une autre distribution et mon serveur se retrouve du coup "hors norme" et ça sera surement cassé à une future mise à jour ...) mais ça marche !

En résumé :
- Serveur Ubuntu 9.10 64bits
- Installation PHP normale : version 5.2.10 => bug
=> installation de la version de Ubuntu 10.04 (version 5.2.11) => bug
=> installation de php5, php5-gd, libapache2-mod-php5, php5-mcrypt et php5-mysql venant des dépôt Debian expérimental (version 5.3.1) => OK

Pour moi, les développeurs n'ont pas fait leur travail au niveau de la vérification de la compatibilité de versions et sur le feedback à l'utilisateur, ce qui est pourtant une base.
Ce n'est pas normal qu'on nous sorte un message "mise à jour réussie" alors que rien ne s'est déroulé comme il faut ... et qu'on ai pas plus d'info sur les pré-requis (avec 80% des versions supérieurs à celle demandée au mini qui bug) à un bon fonctionnement !

Voilà pour le coup de gueule.
Mon site marche (pour l'instant) mais je ne pense pas recommander ce CMS à d'autres personnes :/

Share this post


Link to post
Share on other sites

Create an account or sign in to comment

You need to be a member in order to leave a comment

Create an account

Sign up for a new account in our community. It's easy!

Register a new account

Sign in

Already have an account? Sign in here.

Sign In Now
×
×
  • Create New...

Important Information

Cookies ensure the smooth running of our services. Using these, you accept the use of cookies. Learn More